Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ADataRecord

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ADataRecord

Direct Known Subclasses:
  ADataDCDSRecord, ADataSourceRecord, ADataSymbolRecord

    public class ADataRecord

extends java.lang.Object

A object which maps a Common Header section of an Assembler ADATA record.

For more information, see "HLASM Programmer's Guide: Associated Data File Output".*

Field Summary
`protected static BinaryAsIntField` | `_ADATA_CONT`
`protected static BinaryAsIntField` | `_ADATA_DATA_LEN`
`protected static BinaryAsIntField` | `_ADATA_EDITION`
`protected static BinaryAsIntField` | `_ADATA_LEVEL`
`protected static BinaryAsIntField` | `_ADATA_RECTYPE`
`protected static BinaryAsIntField` | `_ADATA_VERSION`
`static int` | `ADATA_EQU_LEN`
`static int` | `ADATA_ISCONT`
`static int` | `ADATA_L1`
`static int` | `ADATA_L2`
`static int` | `ADATA_L3`
`static int` | `ADATA_LVL`
`static int` | `ADATA_NOTCONT`
`static int` | `ADATA_VERASM`
`protected byte[]` | `bytes`
`protected static AssemblerDatatypeFactory` | `factory`
`static int` | `HEADER_LEN`

Constructor Summary
`ADataRecord(byte[] buffer)` Construct an instance on an existing byte array.

Method Summary
`void` | `dumpOn(java.io.Writer wtr)` Write a (debug) dump of the receiver
`byte[]` | `getBytes()` Answer the underlying byte array mapped by this object.
`int` | `getCONT()`
`int` | `getDATA_LEN()`
`int` | `getEDITION()`
`int` | `getLEVEL()`
`int` | `getRECTYPE()`
`int` | `getSupportedEdition()` Answer the edition number that this (subtype instance) supports.
`int` | `getVERSION()`
`void` | `setBytes(byte[] buffer)` Set the underlying buffer of bytes
`void` | `setCONT(int value)`
`void` | `setDATA_LEN(int value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_LEN

    public static final int HEADER_LEN

See Also:
  Constant Field Values

### bytes

    protected byte[] bytes

### factory

    protected static AssemblerDatatypeFactory factory

### _ADATA_VERSION

    protected static BinaryAsIntField _ADATA_VERSION

### ADATA_VERASM

    public static final int ADATA_VERASM

See Also:
  Constant Field Values

### _ADATA_RECTYPE

    protected static BinaryAsIntField _ADATA_RECTYPE

### _ADATA_LEVEL

    protected static BinaryAsIntField _ADATA_LEVEL

### ADATA_L1

    public static final int ADATA_L1

See Also:
  Constant Field Values

### ADATA_L2

    public static final int ADATA_L2

See Also:
  Constant Field Values

### ADATA_L3

    public static final int ADATA_L3

See Also:
  Constant Field Values

### ADATA_LVL

    public static final int ADATA_LVL

See Also:
  Constant Field Values

### _ADATA_CONT

    protected static BinaryAsIntField _ADATA_CONT

### ADATA_NOTCONT

    public static final int ADATA_NOTCONT

See Also:
  Constant Field Values

### ADATA_ISCONT

    public static final int ADATA_ISCONT

See Also:
  Constant Field Values

### _ADATA_EDITION

    protected static BinaryAsIntField _ADATA_EDITION

### _ADATA_DATA_LEN

    protected static BinaryAsIntField _ADATA_DATA_LEN

### ADATA_EQU_LEN

    public static final int ADATA_EQU_LEN

Constructor Detail

### ADataRecord

    public ADataRecord(byte[] buffer)

  Construct an instance on an existing byte array.

  Parameters:
    `buffer` - the byte array used as backing memory for the structure

Method Detail

### getSupportedEdition

    public int getSupportedEdition()

  Answer the edition number that this (subtype instance) supports. The default is -1, having the special meaning that any edition is supported. Subclasses may override.

### getBytes

    public byte[] getBytes()

  Answer the underlying byte array mapped by this object.

  Returns:
    byte[]

### setBytes

    public void setBytes(byte[] buffer)

  Set the underlying buffer of bytes

  Parameters:
    `buffer` - the byte array

### getVERSION

    public int getVERSION()

### getRECTYPE

    public int getRECTYPE()

### getLEVEL

    public int getLEVEL()

### getCONT

    public int getCONT()

### setCONT

    public void setCONT(int value)

### getEDITION

    public int getEDITION()

### getDATA_LEN

    public int getDATA_LEN()

### setDATA_LEN

    public void setDATA_LEN(int value)

### dumpOn

    public void dumpOn(java.io.Writer wtr)
                throws java.io.IOException

  Write a (debug) dump of the receiver

  Parameters:
    `wtr` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD